play.db.c3p0

## Class PlayConnectionCustomizer

- java.lang.Object
- - play.db.c3p0.PlayConnectionCustomizer

- All Implemented Interfaces:
    com.mchange.v2.c3p0.ConnectionCustomizer

      public class PlayConnectionCustomizer
      extends java.lang.Object
      implements com.mchange.v2.c3p0.ConnectionCustomizer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `isolationLevels`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayConnectionCustomizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAcquire(java.sql.Connection c, java.lang.String parentDataSourceIdentityToken)`
    `void` | `onCheckIn(java.sql.Connection c, java.lang.String parentDataSourceIdentityToken)`
    `void` | `onCheckOut(java.sql.Connection c, java.lang.String parentDataSourceIdentityToken)`
    `void` | `onDestroy(java.sql.Connection c, java.lang.String parentDataSourceIdentityToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isolationLevels

          public static java.util.Map<java.lang.String,java.lang.Integer> isolationLevels

  - ### Constructor Detail

    - #### PlayConnectionCustomizer

          public PlayConnectionCustomizer()

  - ### Method Detail

    - #### onAcquire

          public void onAcquire(java.sql.Connection c,
                                java.lang.String parentDataSourceIdentityToken)

      Specified by:
        `onAcquire` in interface `com.mchange.v2.c3p0.ConnectionCustomizer`

    - #### onDestroy

          public void onDestroy(java.sql.Connection c,
                                java.lang.String parentDataSourceIdentityToken)

      Specified by:
        `onDestroy` in interface `com.mchange.v2.c3p0.ConnectionCustomizer`

    - #### onCheckOut

          public void onCheckOut(java.sql.Connection c,
                                 java.lang.String parentDataSourceIdentityToken)

      Specified by:
        `onCheckOut` in interface `com.mchange.v2.c3p0.ConnectionCustomizer`

    - #### onCheckIn

          public void onCheckIn(java.sql.Connection c,
                                java.lang.String parentDataSourceIdentityToken)

      Specified by:
        `onCheckIn` in interface `com.mchange.v2.c3p0.ConnectionCustomizer`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly